Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.connectionmanager
Class ConnectionManagerService

    java.lang.Object
      org.teleal.cling.support.connectionmanager.ConnectionManagerService

Direct Known Subclasses:
  AbstractPeeringConnectionManagerService

    public class ConnectionManagerService

extends Object

Base for connection management, implements the connection ID "0" behavior.

Author:
  Christian Bauer, Alessio Gaeta

Field Summary
`protected Map<Integer,ConnectionInfo>` | `activeConnections`
`protected PropertyChangeSupport` | `propertyChangeSupport`
`protected ProtocolInfos` | `sinkProtocolInfo`
`protected ProtocolInfos` | `sourceProtocolInfo`

Constructor Summary
`ConnectionManagerService()` Creates a default "active" connection with identifier "0".
`ConnectionManagerService(ConnectionInfo... activeConnections)`
`ConnectionManagerService(PropertyChangeSupport propertyChangeSupport, ProtocolInfos sourceProtocolInfo, ProtocolInfos sinkProtocolInfo, ConnectionInfo... activeConnections)`
`ConnectionManagerService(ProtocolInfos sourceProtocolInfo, ProtocolInfos sinkProtocolInfo)` Creates a default "active" connection with identifier "0".
`ConnectionManagerService(ProtocolInfos sourceProtocolInfo, ProtocolInfos sinkProtocolInfo, ConnectionInfo... activeConnections)`

Method Summary
`org.teleal.cling.model.types.csv.CSV<org.teleal.cling.model.types.UnsignedIntegerFourBytes>` | `getCurrentConnectionIDs()`
`ConnectionInfo` | `getCurrentConnectionInfo(int connectionId)`
`PropertyChangeSupport` | `getPropertyChangeSupport()`
`void` | `getProtocolInfo()`
`ProtocolInfos` | `getSinkProtocolInfo()`
`ProtocolInfos` | `getSourceProtocolInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyChangeSupport

    protected final PropertyChangeSupport propertyChangeSupport

### activeConnections

    protected final Map<Integer,ConnectionInfo> activeConnections

### sourceProtocolInfo

    protected final ProtocolInfos sourceProtocolInfo

### sinkProtocolInfo

    protected final ProtocolInfos sinkProtocolInfo

Constructor Detail

### ConnectionManagerService

    public ConnectionManagerService()

  Creates a default "active" connection with identifier "0".

### ConnectionManagerService

    public ConnectionManagerService(ProtocolInfos sourceProtocolInfo,
                                    ProtocolInfos sinkProtocolInfo)

  Creates a default "active" connection with identifier "0".

### ConnectionManagerService

    public ConnectionManagerService(ConnectionInfo... activeConnections)

### ConnectionManagerService

    public ConnectionManagerService(ProtocolInfos sourceProtocolInfo,
                                    ProtocolInfos sinkProtocolInfo,
                                    ConnectionInfo... activeConnections)

### ConnectionManagerService

    public ConnectionManagerService(PropertyChangeSupport propertyChangeSupport,
                                    ProtocolInfos sourceProtocolInfo,
                                    ProtocolInfos sinkProtocolInfo,
                                    ConnectionInfo... activeConnections)

Method Detail

### getPropertyChangeSupport

    public PropertyChangeSupport getPropertyChangeSupport()

### getCurrentConnectionInfo

    public ConnectionInfo getCurrentConnectionInfo(int connectionId)
                                            throws org.teleal.cling.model.action.ActionException

  Throws:
    `org.teleal.cling.model.action.ActionException`

### getCurrentConnectionIDs

    public org.teleal.cling.model.types.csv.CSV<org.teleal.cling.model.types.UnsignedIntegerFourBytes> getCurrentConnectionIDs()

### getProtocolInfo

    public void getProtocolInfo()
                         throws org.teleal.cling.model.action.ActionException

  Throws:
    `org.teleal.cling.model.action.ActionException`

### getSourceProtocolInfo

    public ProtocolInfos getSourceProtocolInfo()

### getSinkProtocolInfo

    public ProtocolInfos getSinkProtocolInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.